#!/bin/bash
CONDA_INSTALLER_URL="https://repo.anaconda.com/miniconda/Miniconda3-py38_22.11.1-1-Linux-x86_64.sh"
CONDA_INSTALLER_FILE="miniconda_installer_py38.sh"
CONDA_BASE="miniconda"

# Install miniconda if not installed
if [ ! -d "miniconda" ]
then
    # Install miniconda
    curl -s -o ${CONDA_INSTALLER_FILE} ${CONDA_INSTALLER_URL}
    /bin/bash ${CONDA_INSTALLER_FILE} -b -p ${CONDA_BASE}
    rm ${CONDA_INSTALLER_FILE}
    source ${CONDA_BASE}/bin/activate

    # Prioritize channels to prevent version conflicts
    conda config --add channels conda-forge

    # Build klayout
    conda install -y conda-build
    conda build conda_recipe

    # Install conda
    conda install -y -c local klayout
    #conda install -y -c litex-hub klayout

    conda deactivate
fi

